Angcentref(L):={
local A,B,E,O,anga,angb,ange,typdes;
local posa,posb,pose,posf;

A:=L[0];
B:=L[1];
E:=L[2];
O:=L[3];
anga:=L[4];
angb:=L[5];
ange:=L[6];
typdes:=L[7];

// position du point A
if (anga==0) then
{
  posa:="rt";
}
if ((anga >0) and (anga<90)) then
{
  posa:="urt";
}
if (anga==90) then
{
  posa:="top";
}
if ((anga >90) and (anga<180)) then
{
  posa:="ulft";
}
if (anga==180) then
{
  posa:="lft";
}
if ((anga >180) and (anga<270)) then
{
  posa:="llft";
}
if (anga==270) then
{
  posa:="bot";
}
if (anga >270) and (anga<360) then
{
  posa:="lrt";
}

// position du point B
if (angb==0) then
{
  posb:="rt";
}
if ((angb >0) and (angb<90)) then
{
  posb:="urt";
}
if (angb==90) then
{
  posb:="top";
}
if ((angb >90) and (angb<180)) then
{
  posb:="ulft";
}
if (angb==180) then
{
  posb:="lft";
}
if ((angb >180) and (angb<270)) then
{
  posb:="llft";
}
if (angb==270) then
{
  posb:="bot";
}
if (angb >270) and (angb<360) then
{
  posb:="lrt";
}

// position du point E
if (ange==0) then
{
  pose:="rt";
}
if ((ange >0) and (ange<90)) then
{
  pose:="urt";
}
if (ange==90) then
{
  pose:="top";
}
if ((ange >90) and (ange<180)) then
{
  pose:="ulft";
}
if (ange==180) then
{
  pose:="lft";
}
if ((ange >180) and (ange<270)) then
{
  pose:="llft";
}
if (ange==270) then
{
  pose:="bot";
}
if (ange >270) and (ange<360) then
{
  pose:="lrt";
}



                        //  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                        //       % Creation du fichier metapost

Dessin:="
input dlf\_tex.mp;
input geometriesyr16.mp;

u:=1cm;
typetrace:=\""+typdes+"\";
_tfig:=12cm;
beginfig(0);
pair D,A,B,O,E;
numeric r;
r:=3;

O:=(0,0);
D:=(r*u,0); %Point a droite du cercle.

A:=rotation(D,O,"+anga+");
B:=rotation(D,O,"+angb+");
E:=rotation(D,O,"+ange+");

trace chemin(A,E,B);
trace chemin(A,O,B);

%trace codeangle.urt(B,E,A,1,btex $52^{\circ}$ etex);
trace marqueangle(A,E,B,1) withcolor red withpen pencircle scaled 1.5pt;
trace marqueangle(A,O,B,2) withcolor red withpen pencircle scaled 1.5pt;

label."+posa+"(TEX(\" $"+A+"$ \"),A);
label."+posb+"(TEX(\" $"+B+"$ \"),B);
label."+pose+"(TEX(\" $"+E+"$ \"),E);
label."+pose+"(TEX(\" $"+O+"$ \"),O);

trace arccercle(A,B,O) withcolor red withpen pencircle scaled 1.5pt;
trace arccercle(B,E,O);
trace arccercle(E,A,O);


endfig;
typetrace:=\"normal\";


end
";
}:;
